//
//  ClientDisconnectionReason.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "ClientDisconnectionReason.h"

NSString * const ClientDisconnectionReason_IDLE = @"idle";
NSString * const ClientDisconnectionReason_KICK = @"kick";
NSString * const ClientDisconnectionReason_BAN = @"ban";
NSString * const ClientDisconnectionReason_MANUAL = @"manual";
NSString * const ClientDisconnectionReason_UNKNOWN = @"unknown";

@implementation ClientDisconnectionReason

static NSArray *_reasons = nil;

+(void)initialize {
	
	_reasons = [NSArray arrayWithObjects:@"idle", @"kick", @"ban", nil];
	
}

+(NSString *)getReason:(NSInteger)reasonId {
	if (reasonId >= [_reasons count]) {
		return nil;
	}
	return [_reasons objectAtIndex:reasonId];
}

@end
