//
//  PublicMessageRequest.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//
#import "PublicMessageRequest.h"
#import "GenericMessageType.h"

@implementation PublicMessageRequest

-(id)initWithMessage:(NSString *)message params:(id <ISFSObject>)params targetRoom:(id <Room>)targetRoom
{

	if ((self = [super init])) {
		_type = GenericMessageType_PUBLIC_MSG;
		self.message = message;
		self.room = targetRoom;
		self.params = params;
	}
	return self;

	
}

+(id)requestWithMessage:(NSString *)message params:(id <ISFSObject>)params targetRoom:(id <Room>)targetRoom
{
	PublicMessageRequest *req = [[PublicMessageRequest alloc] initWithMessage:message params:params targetRoom:targetRoom];
	return req;
}

+(id)requestWithMessage:(NSString *)message
{
	PublicMessageRequest *req = [[PublicMessageRequest alloc] initWithMessage:message params:nil targetRoom:nil];
	return req;
}

@end
