//
//  SFSDataType.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//
#import "SFSDataType.h"


NSInteger const SFSDataType_NULL = 0;
NSInteger const SFSDataType_BOOL = 1;
NSInteger const SFSDataType_BYTE = 2;
NSInteger const SFSDataType_SHORT = 3;
NSInteger const SFSDataType_INT = 4;

NSInteger const SFSDataType_LONG = 5;
NSInteger const SFSDataType_FLOAT = 6;
NSInteger const SFSDataType_DOUBLE = 7;
NSInteger const SFSDataType_UTF_STRING = 8;
NSInteger const SFSDataType_BOOL_ARRAY = 9;

NSInteger const SFSDataType_BYTE_ARRAY = 10;
NSInteger const SFSDataType_SHORT_ARRAY = 11;
NSInteger const SFSDataType_INT_ARRAY = 12;
NSInteger const SFSDataType_LONG_ARRAY = 13;
NSInteger const SFSDataType_FLOAT_ARRAY = 14;

NSInteger const SFSDataType_DOUBLE_ARRAY = 15;
NSInteger const SFSDataType_UTF_STRING_ARRAY = 16;
NSInteger const SFSDataType_SFS_ARRAY = 17;
NSInteger const SFSDataType_SFS_OBJECT = 18;
NSInteger const SFSDataType_CLASS = 19;
NSInteger const SFSDataType_TEXT = 20;

@implementation SFSDataType

static NSArray *TYPE_NAMES = nil;


+(void)initialize {
	TYPE_NAMES = [NSArray arrayWithObjects:@"NULL", @"BOOL", @"BYTE", @"SHORT", @"INT", @"LONG", @"FLOAT", @"DOUBLE", @"UTF_STRING", @"BOOL_ARRAY", @"BYTE_ARRAY", @"SHORT_ARRAY", @"INT_ARRAY", @"LONG_ARRAY", @"FLOAT_ARRAY", @"DOUBLE_ARRAY", @"UTF_STRING_ARRAY", @"SFS_ARRAY", @"SFS_OBJECT", @"CLASS", @"TEXT", nil];
}

+(NSString *)fromId:(NSInteger)id_ {
	return [TYPE_NAMES objectAtIndex:id_];
}

@end
