//
//  SFSGameSettings.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "SFSGameSettings.h"
#import "MatchExpression.h"




@implementation SFSGameSettings

@synthesize isPublic = _isPublic;
@synthesize minPlayersToStartGame = _minPlayersToStartGame;
@synthesize invitedPlayers = _invitedPlayers;
@synthesize searchableRooms = _searchableRooms;
@synthesize playerMatchExpression = _playerMatchExpression;
@synthesize spectatorMatchExpression = _spectatorMatchExpression;
@synthesize invitationExpiryTime = _invitationExpiryTime;
@synthesize leaveJoinedLastRoom = _leaveJoinedLastRoom;
@synthesize notifyGameStarted = _notifyGameStarted;
@synthesize invitationParams = _invitationParams;



-(id)initWithName:(NSString *)name {
	
	if ((self = [super initWithName:name])) {
		_isPublic = YES;
		_minPlayersToStartGame = 2;
		_invitationExpiryTime = 15;
		_leaveJoinedLastRoom = YES;
	}

	return self;
}

+(id)settingsWithName:(NSString *)name {
	SFSGameSettings *settings = [[SFSGameSettings alloc] initWithName:name];
	return settings;
}

@end
